package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBRole entity.
 */
public class TBRoleDTO implements Serializable {

    private Long id;

    private String name;

    private Boolean isAllCustomer;

    private Boolean isAllCrop;

    private Integer roleLevel;

    private String description;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    private Long tbCustomerId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getIsAllCustomer() {
        return isAllCustomer;
    }

    public void setIsAllCustomer(Boolean isAllCustomer) {
        this.isAllCustomer = isAllCustomer;
    }

    public Boolean getIsAllCrop() {
        return isAllCrop;
    }

    public void setIsAllCrop(Boolean isAllCrop) {
        this.isAllCrop = isAllCrop;
    }

    public Integer getRoleLevel() {
        return roleLevel;
    }

    public void setRoleLevel(Integer roleLevel) {
        this.roleLevel = roleLevel;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBRoleDTO tBRoleDTO = (TBRoleDTO) o;
        if (tBRoleDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBRoleDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBRoleDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", description='" + getDescription() + "'" +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", createdBy=" + getCreatedById() +
            ", tbCustomerId=" + getTbCustomerId() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            "}";
    }

}
